import greenfoot.*;
public class Player extends Actor {
    private int speed = 5;
    private boolean isFireKeyDown = false;
    
    public void act() {
        doMovement();
        if(Greenfoot.isKeyDown(Keys.getKey("fire"))) {
            if(!isFireKeyDown) {
                fire();
                isFireKeyDown = true;
            }
        } else if(isFireKeyDown) {
            isFireKeyDown = false;
        }
    }
    
    private void doMovement() {
        int direction = 0;
        if(Greenfoot.isKeyDown(Keys.getKey("up"))) {
            direction--;
        }
        if(Greenfoot.isKeyDown(Keys.getKey("down"))) {
            direction++;
        }
        setLocation(getX(), getY() + direction*speed);
    }
    
    private void fire() {
        getWorld().addObject(new Bullet(), getX(), getY());
    }
}
