import greenfoot.*;
import java.awt.Color;
public class EndScreen extends MultipleLevelsWorld {
    public EndScreen(ScoreManager score, boolean won) {
        GreenfootImage img = new GreenfootImage(getWidth(), getHeight());
        img.setColor(Color.BLACK);
        img.fill();
        String wonOrDiedText = won ? "won" : "died";
        GreenfootImage text = new GreenfootImage(
            "You " + wonOrDiedText + "!\nScore: " + score.getScore(),
            40, Color.WHITE, null);
        img.drawImage(text,
            getWidth()/2 - text.getWidth()/2,
            getHeight()/2 - text.getHeight()/2);
        setBackground(img);
    }
}
